PyKDE4-4.3.4-5.el6.x86_64.rpm


Advertisement

Description

PyKDE4 - Python bindings for KDE4

Property Value
Distribution CentOS 6
Repository CentOS x86_64
Package filename PyKDE4-4.3.4-5.el6.x86_64.rpm
Package name PyKDE4
Package version 4.3.4
Package release 5.el6
Package architecture x86_64
Package type rpm
Category Development/Languages
Homepage http://developer.kde.org/language-bindings/
License LGPLv2+
Maintainer -
Download size 3.25 MB
Installed size 20.95 MB
Python bindings for KDE4.

Alternatives

Package Version Architecture Repository
PyKDE4-4.3.4-5.el6.i686.rpm 4.3.4 i686 CentOS
PyKDE4 - - -

Requires

Name Value
PyQt4 >= 4.6.2
kdelibs4 >= 4.3.4
libQtCore.so.4()(64bit) -
libQtDBus.so.4()(64bit) -
libQtGui.so.4()(64bit) -
libQtNetwork.so.4()(64bit) -
libQtSvg.so.4()(64bit) -
libQtXml.so.4()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libgcc_s.so.1()(64bit) -
libkdecore.so.5()(64bit) -
libkdeui.so.5()(64bit) -
libkdnssd.so.4()(64bit) -
libkfile.so.4()(64bit) -
libkhtml.so.5()(64bit) -
libkio.so.5()(64bit) -
libkjs.so.4()(64bit) -
libknewstuff2.so.4()(64bit) -
libkparts.so.4()(64bit) -
libkpty.so.4()(64bit) -
libktexteditor.so.4()(64bit) -
libkutils.so.4()(64bit) -
libm.so.6()(64bit) -
libnepomuk.so.4()(64bit) -
libphonon.so.4()(64bit) -
libplasma.so.3()(64bit) -
libpthread.so.0()(64bit) -
libpython2.6.so.1.0()(64bit) -
libsolid.so.4()(64bit) -
libsoprano.so.4()(64bit) -
libsopranoclient.so.1()(64bit) -
libsopranoserver.so.1()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
python(abi) = 2.6
rtld(GNU_HASH) -
sip-api(6) >= 6.0

Provides

Name Value
PyKDE4 = 4.3.4-5.el6
PyKDE4(x86-64) = 4.3.4-5.el6
dnssd.so()(64bit) -
kdecore.so()(64bit) -
kdeui.so()(64bit) -
khtml.so()(64bit) -
kio.so()(64bit) -
knewstuff.so()(64bit) -
kparts.so()(64bit) -
kpythonpluginfactory.so()(64bit) -
ktexteditor.so()(64bit) -
kutils.so()(64bit) -
nepomuk.so()(64bit) -
phonon.so()(64bit) -
plasma.so()(64bit) -
solid.so()(64bit) -
soprano.so()(64bit) -

Download

Type URL
Mirror mirror.centos.org
Binary Package PyKDE4-4.3.4-5.el6.x86_64.rpm
Source Package kdebindings-4.3.4-5.el6.src.rpm

Install Howto

Install PyKDE4 rpm package:

# yum install PyKDE4

Files

Path
/usr/lib64/kde4/kpythonpluginfactory.so
/usr/lib64/python2.6/site-packages/PyKDE4/__init__.py
/usr/lib64/python2.6/site-packages/PyKDE4/__init__.pyc
/usr/lib64/python2.6/site-packages/PyKDE4/__init__.pyo
/usr/lib64/python2.6/site-packages/PyKDE4/dnssd.so
/usr/lib64/python2.6/site-packages/PyKDE4/kdecore.so
/usr/lib64/python2.6/site-packages/PyKDE4/kdeui.so
/usr/lib64/python2.6/site-packages/PyKDE4/khtml.so
/usr/lib64/python2.6/site-packages/PyKDE4/kio.so
/usr/lib64/python2.6/site-packages/PyKDE4/knewstuff.so
/usr/lib64/python2.6/site-packages/PyKDE4/kparts.so
/usr/lib64/python2.6/site-packages/PyKDE4/ktexteditor.so
/usr/lib64/python2.6/site-packages/PyKDE4/kutils.so
/usr/lib64/python2.6/site-packages/PyKDE4/nepomuk.so
/usr/lib64/python2.6/site-packages/PyKDE4/phonon.so
/usr/lib64/python2.6/site-packages/PyKDE4/plasma.so
/usr/lib64/python2.6/site-packages/PyKDE4/pykdeconfig.py
/usr/lib64/python2.6/site-packages/PyKDE4/pykdeconfig.pyc
/usr/lib64/python2.6/site-packages/PyKDE4/pykdeconfig.pyo
/usr/lib64/python2.6/site-packages/PyKDE4/solid.so
/usr/lib64/python2.6/site-packages/PyKDE4/soprano.so
/usr/lib64/python2.6/site-packages/PyQt4/uic/widget-plugins/kde4.py
/usr/lib64/python2.6/site-packages/PyQt4/uic/widget-plugins/kde4.pyc
/usr/lib64/python2.6/site-packages/PyQt4/uic/widget-plugins/kde4.pyo
/usr/share/doc/PyKDE4-4.3.4/AUTHORS
/usr/share/doc/PyKDE4-4.3.4/COPYING
/usr/share/doc/PyKDE4-4.3.4/ChangeLog
/usr/share/doc/PyKDE4-4.3.4/NEWS
/usr/share/doc/PyKDE4-4.3.4/README
/usr/share/doc/pykde4/

Changelog

2010-06-28 - Than Ngo <than@redhat.com> 4.3.4-5
- Resolves: bz#597271, drop WebKit support in Qt
2010-03-30 - Than Ngo <than@redhat.com> - 4.3.4-4
- rebuilt against qt 4.6.2
2010-02-25 - Than Ngo <than@redhat.com> - 4.3.4-3
- fix license
2009-12-12 - Than Ngo <than@redhat.com> - 4.3.4-2
- cleanup
2009-12-01 - Than Ngo <than@redhat.com> - 4.3.4-1
- 4.3.4
2009-11-16 - Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-4
- Requires: sip-api(%_sip_api_major) >= %_sip_api
2009-11-11 - Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-3
- pyqt4_version 4.6.1 (everywhere)
- drop qt46 patch (not working yet)
2009-11-06 - Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.3-2
- try to fix build with Qt 4.6 (f13+)
2009-10-31 - Rex Dieter <rdieter@fedoraproject.org> - 4.3.3-1
- 4.3.3
2009-10-26 - Rex Dieter <rdieter@fedoraproject.org> - 4.3.2-3
- sync archs supporting csharp(mono)

See Also

Package Description
PyKDE4-akonadi-4.3.4-5.el6.x86_64.rpm Akonadi runtime support for PyKDE4
PyKDE4-devel-4.3.4-5.el6.x86_64.rpm Files needed to build PyKDE4-based applications
PyOpenGL-3.0.0-2.1.el6.noarch.rpm Python bindings for OpenGL
PyOpenGL-Tk-3.0.0-2.1.el6.noarch.rpm PyOpenGL OpenGL Tk widget
PyPAM-0.5.0-12.el6.x86_64.rpm PAM bindings for Python
PyQt4-4.6.2-9.el6.x86_64.rpm Python bindings for Qt4
PyQt4-devel-4.6.2-9.el6.i686.rpm Files needed to build other bindings based on Qt4
PyQt4-devel-4.6.2-9.el6.x86_64.rpm Files needed to build other bindings based on Qt4
PyXML-0.8.4-19.el6.x86_64.rpm XML libraries for python
PyYAML-3.10-3.1.el6.x86_64.rpm YAML parser and emitter for Python
Pyrex-0.9.8.4-4.1.el6.noarch.rpm A compiler/language for writing Python extension modules
SDL-1.2.14-7.el6_7.1.i686.rpm A cross-platform multimedia library
SDL-1.2.14-7.el6_7.1.x86_64.rpm A cross-platform multimedia library
SDL-devel-1.2.14-7.el6_7.1.i686.rpm Files needed to develop Simple DirectMedia Layer applications
SDL-devel-1.2.14-7.el6_7.1.x86_64.rpm Files needed to develop Simple DirectMedia Layer applications
Advertisement
Advertisement